﻿@page "/settlement/new"
@inherits WanderingRetinue.Client.Pages.Settlement.NewSettlementBase

<MudContainer Class="login">
    <MudCard Class="login-form">
        <MudCardHeader>
            <CardHeaderContent>
                <MudText Typo="Typo.h4">New Settlement</MudText>
            </CardHeaderContent>
        </MudCardHeader>
        <MudCardContent>
            <MudForm>
                <DataAnnotationsValidator />
                <MudTextField T="string" Label="Name" Required="true" RequiredError="Name is required!" @bind-Value="Model.Name" For="@(()=> Model.Name)" />
                <MudTextField T="string" Label="Description" Required="true" RequiredError="Description is required!" @bind-Value="Model.Description" For="@(() => Model.Description)" />

            </MudForm>
        </MudCardContent>
        <MudCardActions>
            <MudButton Variant="Variant.Filled" Color="Color.Primary" OnClick="@(() => CreateSettlement())">Create</MudButton>
        </MudCardActions>
    </MudCard>
</MudContainer>